Bug 130448 - UI Order of list items in Table Properties
Summary: UI Order of list items in Table Properties
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Gabor Kelemen (allotropia)
URL:
Whiteboard: target:7.0.0
Keywords:
Depends on:
Blocks: Writer-Table-Properties-Dialog
  Show dependency treegraph
 
Reported: 2020-02-05 07:29 UTC by NISZ LibreOffice Team
Modified: 2020-05-10 13:10 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Screenshot of the problem in Writer (40.43 KB, image/png)
2020-02-05 07:30 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2020-02-05 07:29:37 UTC
Description:
In Writers Table Properties dialog the Text Flow tab has a strange looking list under Text orientation. The default value is “Use superordinate object settings” and it is the third item in the list. The second item is “Vertical (top to bottom)” and the fourth is “Vertical (bottom to top)”.
It would be more logical to have the two Vertical options next to each other and the default as last one.

Steps to Reproduce:
1. Insert a table in Writer and open its Properties dialog
2. Go to Text Flow page and open the Text orientation dropdown

Actual Results:
The two Vertical options are not following each other.

Expected Results:
The two Vertical options should be next to each other and the “Use superordinate object settings” default should be the last.


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 NISZ LibreOffice Team 2020-02-05 07:30:54 UTC
Created attachment 157654 [details]
Screenshot of the problem in Writer
Comment 3 Durgapriyanka 2020-02-05 16:33:13 UTC
I can reproduce this in

Version: 6.4.0.0.alpha1+ (x86)
Build ID: ec7374ff84c71edfbb30d6e4dc5b486b6df7107f
CPU threads: 2; OS: Windows 6.1 Service Pack 1 Build 7601; UI render: default; VCL: win; 
TinderBox: Win-x86@42, Branch:master, Time: 2019-11-10_21:37:30
Locale: en-US (en_US); UI-Language: en-US
Calc: threaded
Comment 4 Dieter 2020-02-05 17:48:14 UTC
(In reply to Durgapriyanka from comment #3)
> I can reproduce this in
> 
> Version: 6.4.0.0.alpha1+ (x86)

=> NEW
Comment 5 Gabor Kelemen (allotropia) 2020-02-10 19:37:01 UTC
Proposed patch: https://gerrit.libreoffice.org/c/core/+/88410
Comment 6 Heiko Tietze 2020-02-17 13:45:37 UTC
Ideally, "Use superordinate object setting" would be the first item. But the patch is an improvement anyway. Thanks for fixing.
Comment 7 Commit Notification 2020-02-17 13:45:54 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/66708c95afa8ef7f0fcbbe0667405e3e3881c4c9

tdf#130448 More natural order of Text orientation drowdown items

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 BogdanB 2020-05-10 13:10:23 UTC
verified on
Version: 7.0.0.0.alpha1
Build ID: 6a03b2a54143a9bc0c6d4c7f1...
CPU threads: 4; OS: Linux 5.4; UI render: default; VCL: gtk3; 
Locale: ro-RO (ro_RO.UTF-8); UI: en-US
Calc: threaded